// src/ping-notifications-v1-public-notification-notifications.http.ts
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressPingHubApiPublicNotificationsServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/notifications-hub-server",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/ping/hub",
        destPath: ""
      },
      {
        srcPath: "/_api/ping/notifications",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/ping/hub",
        destPath: ""
      },
      {
        srcPath: "/_api/ping/notifications",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/notifications/v3/notify",
        destPath: "/v3/notify"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_notifications_notifications";
function notify(payload) {
  function __notify({ host }) {
    const metadata = {
      entityFqdn: "wix.ping.notifications.v1.public_notification",
      method: "POST",
      methodFqn: "com.wixpress.ping.hub.api.PublicNotificationsService.Notify",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPingHubApiPublicNotificationsServiceUrl({
        protoPath: "/api/v1/notify",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __notify;
}

// src/ping-notifications-v1-public-notification-notifications.meta.ts
function notify2() {
  const payload = {};
  const getRequestOptions = notify(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/api/v1/notify",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  notify2 as notify
};
//# sourceMappingURL=meta.mjs.map