"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  Channel: () => Channel,
  DashboardPages: () => DashboardPages,
  Role: () => Role,
  notify: () => notify4
});
module.exports = __toCommonJS(index_exports);

// src/ping-notifications-v1-public-notification-notifications.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/ping-notifications-v1-public-notification-notifications.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressPingHubApiPublicNotificationsServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/notifications-hub-server",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/ping/hub",
        destPath: ""
      },
      {
        srcPath: "/_api/ping/notifications",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/ping/hub",
        destPath: ""
      },
      {
        srcPath: "/_api/ping/notifications",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/notifications/v3/notify",
        destPath: "/v3/notify"
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_notifications_notifications";
function notify(payload) {
  function __notify({ host }) {
    const metadata = {
      entityFqdn: "wix.ping.notifications.v1.public_notification",
      method: "POST",
      methodFqn: "com.wixpress.ping.hub.api.PublicNotificationsService.Notify",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPingHubApiPublicNotificationsServiceUrl({
        protoPath: "/api/v1/notify",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __notify;
}

// src/ping-notifications-v1-public-notification-notifications.universal.ts
var Role = /* @__PURE__ */ ((Role2) => {
  Role2["All_Contributors"] = "All_Contributors";
  Role2["Owner"] = "Owner";
  return Role2;
})(Role || {});
var Channel = /* @__PURE__ */ ((Channel2) => {
  Channel2["Undefined"] = "Undefined";
  Channel2["Dashboard"] = "Dashboard";
  Channel2["Mobile"] = "Mobile";
  Channel2["Browser"] = "Browser";
  return Channel2;
})(Channel || {});
var DashboardPages = /* @__PURE__ */ ((DashboardPages2) => {
  DashboardPages2["Undefined_Page"] = "Undefined_Page";
  DashboardPages2["Home"] = "Home";
  return DashboardPages2;
})(DashboardPages || {});
async function notify2(body, channels, options) {
  const { httpClient, sideEffects } = arguments[3];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    body,
    channels,
    toSiteContributors: options?.toSiteContributors,
    toContacts: options?.toContacts,
    title: options?.title,
    action: options?.action,
    targetUrl: options?.targetUrl,
    targetDashboardPage: options?.targetDashboardPage
  });
  const reqOpts = notify(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          body: "$[0]",
          channels: "$[1]",
          toSiteContributors: "$[2].toSiteContributors",
          toContacts: "$[2].toContacts",
          title: "$[2].title",
          action: "$[2].action",
          targetUrl: "$[2].targetUrl",
          targetDashboardPage: "$[2].targetDashboardPage"
        },
        singleArgumentUnchanged: false
      },
      ["body", "channels", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/ping-notifications-v1-public-notification-notifications.public.ts
function notify3(httpClient) {
  return (body, channels, options) => notify2(
    body,
    channels,
    options,
    // @ts-ignore
    { httpClient }
  );
}

// src/ping-notifications-v1-public-notification-notifications.context.ts
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
var notify4 = /* @__PURE__ */ (0, import_rest_modules2.createRESTModule)(notify3);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Channel,
  DashboardPages,
  Role,
  notify
});
//# sourceMappingURL=index.js.map